use std::fmt::Display;

pub struct ContentGenerationError {
    pub message: String,
}

impl Display for ContentGenerationError {
    fn fmt(&self, f: &mut std::fmt::Formatter<'_>) -> std::fmt::Result {
        write!(f, "content generation error: {}", self.message)
    }
}
